         subroutine latlon_to_grid(da8,alat18,elon18,elonv8,alatan8, &
                                   rlat8,rlon8,cgrid,xx8,yy8)


         implicit none


         character(60) cgrid

         real(8) da8,alat18,elon18,elonv8,alatan8, & 
                 rlat8,rlon8,xx8,yy8

         if (trim(cgrid)=='conus' .or. trim(cgrid)=='cohres' .or. trim(cgrid)=='hrrr' .or.  & 
                                                                  trim(cgrid)=='cohresext') then
          call w3fb11_8(rlat8,rlon8,alat18,elon18,da8,elonv8,alatan8,xx8,yy8)
         endif

         if (trim(cgrid)=='alaska' .or. trim(cgrid)=='akhres' .or. trim(cgrid)=='juneau') then
          call w3fb06_8(rlat8,rlon8,alat18,elon18,da8,elonv8,xx8,yy8) 
         endif

         if (trim(cgrid)=='hawaii' .or. trim(cgrid)=='guam' .or. trim(cgrid)=='prico') then
          call w3fb08_8(rlat8,rlon8,alat18,elon18,alatan8,da8,xx8,yy8)
         endif

         return
         end
     

